MAMPにmongo.soがうまく入らない時

More than 3 years have passed since last update.


ドライバをいれようとするとapiバージョンが合わないとエラー

$ PHP Warning:  PHP Startup: mongo: Unable to initialize module

Module compiled with module API=20100525
PHP compiled with module API=20121212
These options need to match
in Unknown on line 0


brewで無事有効なmongo.soが作れました(php5.5.xの場合)

brew install homebrew/php/php55-mongo

php5.5.x以外の場合は検索してインストールする

brew search php